Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## LumiSoft.Data
Class DataView

    java.lang.Object
      LumiSoft.Data.DataView

All Implemented Interfaces:
  java.lang.Iterable<DataRowView>

    public class DataView

extends java.lang.Object
implements java.lang.Iterable<DataRowView>

Constructor Summary
`DataView(DataTable table)`

Method Summary
`void` | `addListChangedListener(java.awt.event.ActionListener l)` Adds the specified action listener to receive action events from this button.
`DataRowView` | `AddNew()` Adds a new row to the DataView.
`DataRowView` | `get(int index)` Gets a row of data from a specified table.
`int` | `getCount()` Gets the number of records in the DataView after RowFilter and RowStateFilter have been applied.
`java.lang.String` | `getRowFilter()` Gets the expression used to filter which rows are viewed in the DataView.
`java.lang.String` | `getSort()` Gets the sort column or columns, and sort order for the DataView.
`DataTable` | `getTable()` Gets or sets the source DataTable.
`java.util.Iterator<DataRowView>` | `iterator()` Gets iterator.
`void` | `removeListChangedListener(java.awt.event.ActionListener l)` Removes the specified action listener so it no longer receives action events from this button.
`void` | `setRowFilter(java.lang.String value)` Sets the expression used to filter which rows are viewed in the DataView.
`void` | `setSort(java.lang.String value)` Sets the sort column or columns, and sort order for the DataView.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataView

    public DataView(DataTable table)

Parameters:
  `table` -

Method Detail

### AddNew

    public DataRowView AddNew()

  Adds a new row to the DataView.

  Returns:

### getCount

    public int getCount()

  Gets the number of records in the DataView after RowFilter and RowStateFilter have been applied.

  Returns:

### get

    public DataRowView get(int index)

  Gets a row of data from a specified table.

  Parameters:
    `index` -
  Returns:

### getRowFilter

    public java.lang.String getRowFilter()

  Gets the expression used to filter which rows are viewed in the DataView.

  Returns:

### setRowFilter

    public void setRowFilter(java.lang.String value)

  Sets the expression used to filter which rows are viewed in the DataView.

  Parameters:
    `value` -

### getSort

    public java.lang.String getSort()

  Gets the sort column or columns, and sort order for the DataView.

  Returns:

### setSort

    public void setSort(java.lang.String value)

  Sets the sort column or columns, and sort order for the DataView.

  Parameters:
    `value` -

### getTable

    public DataTable getTable()

  Gets or sets the source DataTable.

  Returns:

### iterator

    public java.util.Iterator<DataRowView> iterator()

  Gets iterator.

  Specified by:
    `iterator` in interface `java.lang.Iterable<DataRowView>`

### addListChangedListener

    public void addListChangedListener(java.awt.event.ActionListener l)

  Adds the specified action listener to receive action events from this button.

  Parameters:
    `l` - the action listener

### removeListChangedListener

    public void removeListChangedListener(java.awt.event.ActionListener l)

  Removes the specified action listener so it no longer receives action events from this button.

  Parameters:
    `l` - the action listener

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD